Bug 22306 - iptables broken
Summary: iptables broken
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-14 17:12 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-14 17:12:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-12-14 17:12:54 UTC
Platform: RH 7.0 ISO (Server Install) on ASUS P5-99VM (P233MMX, 128Mb, 20gb HD)

Running  'iptables'  with any options returns this error message:

    can't initialize iptables table `filter': iptables who? (do you need to insmod?)
         Perhaps iptables or your kernel needs to be upgraded.

Can't find info anywhere on net.  Searched for hours.

How can i fix this quickly?

Comment 1 Bernhard Rosenkraenzer 2000-12-14 17:28:15 UTC
iptables is provided for compatibility with the (future) 2.4.x kernels.
kernel 2.2.x does not support iptables, that's why it's complaining.

Use ipchains for 2.2.x kernels.


Comment 2 Avi Alkalay 2001-03-04 14:30:32 UTC
RH7.0 comes with iptables support, but the module loading is not automatic
(don't know why).
You have to 'modprobe iptables' to make it work.


Note You need to log in before you can comment on or make changes to this bug.